This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 140951 - asm/unistd.h omits waitid syscall 284
asm/unistd.h omits waitid syscall 284
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2004-11-26 16:03 EST by John Reiser
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-716
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 08:20:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2004-11-26 16:03:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
/usr/include/asm/unistd.h does not define the waitid syscall
(__NR_waitid 284) which was added to glibc by:
-----
* Fri Sep  3 2004 Jakub Jelinek <jakub@redhat.com> 2.3.3-48
- add __NR_waitid defines for i386, x86_64 and sparc*
-----
[FC3 is now at glibc-2.3.3-74.]

Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-9.1.87

How reproducible:
Always

Steps to Reproduce:
1. grep waitid /usr/include/asm/unistd.h
2.
3.
    

Actual Results:  empty output [no "#define __NR_waitid 284"]

Expected Results:  #define __NR_waitid 284


Additional info:
Comment 4 Red Hat Bugzilla 2005-10-05 08:05:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html
Comment 5 Red Hat Bugzilla 2005-10-05 08:20:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html

Note You need to log in before you can comment on or make changes to this bug.